Table of Contents

## Name

AuMakeElementAddConstant - initialize an AddConstant element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementAddConstant(element, input, constant)
AuElement *element; /* RETURN */
unsigned short input;
AuFixedPoint constant;

## Arguments

element
  Returns the initialized element.
input
  Specifies the index of the element to supply the audio data for this element.
constant
  Specifies the fixed point value to be added to each sample from input. Fixed point values can be constructed with AuFixedPointFromSum and AuFixedPointFromFraction.

## Description

AuMakeElementAddConstant sets the type member of element to AuElementTypeAddConstant and initializes the addconstant member of element with the remaining arguments.

AuMakeElementAddConstant is implemented as a macro.

## See Also

AuMakeElementBundle, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also